For the complete documentation index, see llms.txt. This page is also available as Markdown.

Metric

returns number of requests with lat and lon, based on geoip

get

this is mostly useful for heatmaps

Authorizations
OAuth2applicationRequired
Token URL:
Path parameters
serviceIdanyRequired

serviceId

Query parameters
startTimestampanyOptional

start time range, unix timestamp, default 24 hours ago

endTimestampanyOptional

end time range, unix timestamp, default now

Responses
200

OK

application/json
requestsintegerOptionalExample: 9001
get/service/{serviceId}/metric/geopoints
GET /api/service/{serviceId}/metric/geopoints HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "location": {
      "lat": 1,
      "lon": 1
    },
    "requests": 9001
  }
]

Returns the number of values for a metric

get

Returns the number of values for a metric

Authorizations
OAuth2applicationRequired
Token URL:
Path parameters
serviceIdanyRequired

serviceId

fieldanyRequired

Field from list of /api/util/fields

Query parameters
startTimestampanyOptional

start time range, unix timestamp, default 24 hours ago

endTimestampanyOptional

end time range, unix timestamp, default now

Responses
200

OK

application/json
keystringOptionalExample: tx.ReqURL
requestsintegerOptionalExample: 9001
get/service/{serviceId}/metric/{field}/count/requests
GET /api/service/{serviceId}/metric/{field}/count/requests HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "key": "tx.ReqURL",
  "requests": 9001
}

Returns the number of unique values for a metric

get

Returns the number of unique values for a metric

Authorizations
OAuth2applicationRequired
Token URL:
Path parameters
serviceIdanyRequired

serviceId

fieldanyRequired

Field from list of /api/util/fields

Query parameters
startTimestampanyOptional

start time range, unix timestamp, default 24 hours ago

endTimestampanyOptional

end time range, unix timestamp, default now

Responses
200

OK

application/json
keystringOptionalExample: tx.ReqURL
requestsintegerOptionalExample: 9001
get/service/{serviceId}/metric/{field}/countUnique/requests
GET /api/service/{serviceId}/metric/{field}/countUnique/requests HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "key": "tx.ReqURL",
  "requests": 9001
}

Returns the Histogram of field by request count

get

Returns the Histogram of field by request count

Authorizations
OAuth2applicationRequired
Token URL:
Path parameters
serviceIdanyRequired

serviceId

fieldanyRequired

Field from list of /api/util/fields

Query parameters
limitanyOptional

Limit (max 1000, default 10)

startTimestampanyOptional

start time range, unix timestamp, default 24 hours ago

endTimestampanyOptional

end time range, unix timestamp, default now

Responses
200

OK

application/json
datestringOptionalExample: 2022-11-14T10:48:00.000Z
get/service/{serviceId}/metric/{field}/histogram/requests
GET /api/service/{serviceId}/metric/{field}/histogram/requests HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "date": "2022-11-14T10:48:00.000Z",
    "histogram": {
      "ANY_ADDITIONAL_PROPERTY": {
        "requests": 9001
      }
    }
  }
]

Returns the Histogram of field by traffic

get

Returns the Histogram of field by traffic

Authorizations
OAuth2applicationRequired
Token URL:
Path parameters
serviceIdanyRequired

serviceId

fieldanyRequired

Field from list of /api/util/fields

Query parameters
limitanyOptional

Limit (max 1000, default 10)

startTimestampanyOptional

start time range, unix timestamp, default 24 hours ago

endTimestampanyOptional

end time range, unix timestamp, default now

Responses
200

OK

application/json
datestringOptionalExample: 2022-11-14T10:48:00.000Z
get/service/{serviceId}/metric/{field}/histogram/traffic
GET /api/service/{serviceId}/metric/{field}/histogram/traffic HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "date": "2022-11-14T10:48:00.000Z",
    "histogram": {
      "ANY_ADDITIONAL_PROPERTY": {
        "tx": 35243
      }
    }
  }
]

Returns a number of stats about a field

get

Returns a number of stats about a field

Authorizations
OAuth2applicationRequired
Token URL:
Path parameters
serviceIdanyRequired

serviceId

fieldanyRequired

Field from list of /api/util/fields

Query parameters
startTimestampanyOptional

start time range, unix timestamp, default 24 hours ago

endTimestampanyOptional

end time range, unix timestamp, default now

Responses
200

OK

application/json
avgnumberOptional
countintegerOptional
keystringOptionalExample: tx.ReqURL
maxnumberOptional
minnumberOptional
std_deviationnumberOptional
sumnumberOptional
sum_of_squaresnumberOptional
variancenumberOptional
get/service/{serviceId}/metric/{field}/stats
GET /api/service/{serviceId}/metric/{field}/stats HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "avg": 1,
  "count": 1,
  "key": "tx.ReqURL",
  "max": 1,
  "min": 1,
  "std_deviation": 1,
  "sum": 1,
  "sum_of_squares": 1,
  "variance": 1
}

Returns the top x of field by request count

get

Returns the top x of field by request count

Authorizations
OAuth2applicationRequired
Token URL:
Path parameters
serviceIdanyRequired

serviceId

fieldanyRequired

Field from list of /api/util/fields

Query parameters
limitanyOptional

Limit (max 1000, default 10)

startTimestampanyOptional

start time range, unix timestamp, default 24 hours ago

endTimestampanyOptional

end time range, unix timestamp, default now

Responses
200

OK

application/json
get/service/{serviceId}/metric/{field}/top/requests
GET /api/service/{serviceId}/metric/{field}/top/requests HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "topList": [
    {
      "key": "x-cache: hit",
      "requests": 9001
    }
  ]
}

Returns the top x of field by traffic amount in bytes

get

Returns the top x of field by traffic amount in bytes

Authorizations
OAuth2applicationRequired
Token URL:
Path parameters
serviceIdanyRequired

serviceId

fieldanyRequired

Field from list of /api/util/fields

Query parameters
limitanyOptional

Limit (max 1000, default 10)

startTimestampanyOptional

start time range, unix timestamp, default 24 hours ago

endTimestampanyOptional

end time range, unix timestamp, default now

Responses
200

OK

application/json
get/service/{serviceId}/metric/{field}/top/traffic
GET /api/service/{serviceId}/metric/{field}/top/traffic HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "topList": [
    {
      "key": "clientasn.asn",
      "tx": 35243
    }
  ]
}

Last updated

Was this helpful?